GeneralizedHullWhite::Dynamics Class Reference

Short-rate dynamics in the generalized Hull-White model. More...

`#include <ql/experimental/shortrate/generalizedhullwhite.hpp>`

Inherits ShortRateDynamics.

## Public Member Functions

| Dynamics (const Parameter &fitting, const ext::function< Real(Time)> &alpha, const ext::function< Real(Time)> &sigma, const ext::function< Real(Real)> &f, const ext::function< Real(Real)> &fInverse)
| Dynamics (const Parameter &fitting, Real a, Real sigma)
Real | variable (Time t, Rate r) const
Real | shortRate (Time t, Real x) const

## Detailed Description

Short-rate dynamics in the generalized Hull-White model.

The short-rate is here

f(r_t) = x_t + g(t)

where g is the deterministic time-dependent parameter (which can't be determined analytically) used for initial term-structure fitting and x_t is the state variable following an Ornstein-Uhlenbeck process.

In this version, the function f may also be defined as a piece-wise linear function and can be calibrated to the away-from-the-money instruments.